cifti::Vector3D Class Reference

## Public Member Functions

float | dot (const Vector3D &right) const
Vector3D | cross (const Vector3D &right) const
Vector3D | normal (float *origLength=NULL) const
float | length () const
float | lengthsquared () const
| Vector3D (const float &x, const float &y, const float &z)
| Vector3D (const float *right)
float & | operator[] (const int64_t &index)
const float & | operator[] (const int64_t &index) const
float & | operator[] (const int32_t &index)
const float & | operator[] (const int32_t &index) const
Vector3D & | operator= (const float *right)
Vector3D & | operator+= (const Vector3D &right)
Vector3D & | operator-= (const Vector3D &right)
Vector3D & | operator*= (const float &right)
Vector3D & | operator/= (const float &right)
Vector3D | operator+ (const Vector3D &right) const
Vector3D | operator- (const Vector3D &right) const
Vector3D | operator- () const
Vector3D | operator* (const float &right) const
Vector3D | operator/ (const float &right) const
| operator float * ()

The documentation for this class was generated from the following files:

- Vector3D.h
- Vector3D.cxx